Description

Dear all,

the player becomes unresponsive when I try to move forward the track position slider on a long audio track (e.g. 1h 30') from a CIFS

volume. Anyway, the overall performances while playing files from CIFS mounted volumes (on a gigabit link) are really bad. I've

found users with similar problems on the web:

https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1130187

https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1048270

https://bugs.launchpad.net/linuxmint/+bug/1044923

The mentioned fix of mounting CIFS volumes with the "noserverino" option does not work here. Other players (e.g., vlc) are able to

play tracks just fine.  I'm using audacious-3.4.1 on gentoo and audacious-3.3.4 on ubuntu and tested the reported issue with different

output plugins (i.e. jack, alsa, pulseaudio).

Thanks for this great player.

Kind regards,

Marco

History

#1 - October 01, 2013 23:09 - John Lindgren

The output plugin does not matter.  What file formats are you playing?

#2 - October 02, 2013 10:17 - Marco Squarcina

John Lindgren wrote:

The output plugin does not matter.  What file formats are you playing?

 

mp3s, like this one: http://www.newcastlebeats.com/static/mixes/Autonomic/Autonomic_Podcast_Layer_01.mp3

#3 - October 03, 2013 02:00 - John Lindgren

- File use-fuzzy-seek.diff added

Does this patch help?

#4 - October 05, 2013 15:44 - Marco Squarcina
https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1130187
https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1048270
https://bugs.launchpad.net/linuxmint/+bug/1044923
http://www.newcastlebeats.com/static/mixes/Autonomic/Autonomic_Podcast_Layer_01.mp3


Unfortunately, the patch didn't help. After testing several tracks, I noticed that the reported issue does not depend by the file format: audacious hangs

even while seeking wav and flac files.

#5 - October 06, 2013 00:27 - John Lindgren

Hmm, well, it helped immensely here.  Apparently you have a different problem that is specific to your network configuration (but don't ask me how,

I'm no networking guru).

#6 - October 06, 2013 01:49 - John Lindgren

I've committed that patch.  If you have another test case, I'll take a look at it.

#7 - November 24, 2013 03:44 - John Lindgren

- Status changed from New to Rejected

I'm closing this and #358 since both are unreproducible here and hence probably network configuration problems.

Files

use-fuzzy-seek.diff 1.75 KB October 03, 2013 John Lindgren
